Skip to content

List document classes

Request

Returns a paginated list of document classes for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

Query
Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

GET
/api/v1/organizations/{organizationId}/document-classes
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/document-classes?Page=0&PageSize=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
documentClassesArray of objects(DocumentClassSummary)required

The list of document classes.

paginationobject(PaginationResponse)required

Pagination metadata.

Response
{ "documentClasses": [ { … }, { … } ], "pagination": { "page": 1, "pageSize": 10, "totalCount": 2 } }